Arduino

Reference Language | Libraries | Comparison | Changes

## float()

#### Description

Converts a value to the float data type.

#### Syntax

float(x)

#### Parameters

x: a value of any type

#### Returns

float

#### Notes

See the reference for float for details about the precision and limitations of floating point numbers on Arduino.

#### See also

- float

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes